package demo;

import javax.faces.FacesWrapper;
import javax.faces.context.FacesContext;
import javax.faces.context.PartialViewContext;
import javax.faces.context.PartialViewContextFactory;

public class PartialViewContextFactoryImpl extends PartialViewContextFactory implements FacesWrapper<PartialViewContextFactory> {

    private PartialViewContextFactory factory;
    
    
    public PartialViewContextFactoryImpl(PartialViewContextFactory factory) {
        super();
        this.factory = factory;
    }

    @Override
    public PartialViewContextFactory getWrapped() {
        return factory;
    }

    @Override
    public PartialViewContext getPartialViewContext(FacesContext context) {
        return new PartialViewContextImpl(factory.getPartialViewContext(context));
    }

}
